"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerReportEventFlag(object):
    """
    Enum listing all valid flags that can be added to a report event.
    ---------------------------------------------- Value | Name
    ------|--------------------------------------- H     |
    homopolymer_overlap N     | high_sequencing_noise PON   |
    panel_of_normal_noise GG    |
    high_gnomAD_germline_allele_frequency GE    |
    high_GEL_germline_allele_frequency R     | recurrent_variant SR
    | simple_repeat_overlap T     | end_coding_region ICS   |
    inconsistent_clinvar_status CP    |
    close_proximity_to_other_variant
    """

    homopolymer_overlap = "homopolymer_overlap"
    high_sequencing_noise = "high_sequencing_noise"
    panel_of_normal_noise = "panel_of_normal_noise"
    high_gnomAD_germline_allele_frequency = "high_gnomAD_germline_allele_frequency"
    high_GEL_germline_allele_frequency = "high_GEL_germline_allele_frequency"
    recurrent_variant = "recurrent_variant"
    simple_repeat_overlap = "simple_repeat_overlap"
    end_coding_region = "end_coding_region"
    inconsistent_clinvar_status = "inconsistent_clinvar_status"
    close_proximity_to_other_variant = "close_proximity_to_other_variant"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.7.2"
